---
updatedAt: 2025-06-12T23:58:32.000Z
agentTools:
  projectIndex: https://docs.fiatrepublic.com/llms.txt
---

# Get Return

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "fiat-republic",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.fiatrepublic.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/payment-returns/{id}": {
      "get": {
        "summary": "Get Return",
        "description": "",
        "operationId": "get-return",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Id of the Return.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n   \"id\":\"rtn_j82rl497g47g5ykvzn\",\n   \"memberId\":\"mbr_emv4j231821oaz56yx\",\n   \"status\":\"COMPLETED\",\n   \"paymentId\":\"pmt_xpn6le15nyk1v9jo4g\",\n   \"payeeId\":\"pye_pgrbvdy1vy31z54n6m\",\n   \"reference\":\"RET - Deposit\",\n   \"amount\":\"100.12\",\n   \"currency\":\"GBP\",\n   \"paymentScheme\":\"FPS\",\n   \"reason\":\"3rd party payment\",\n   \"createdAt\":1677249715102,\n   \"updatedAt\":1637593856104     \n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "rtn_j82rl497g47g5ykvzn"
                    },
                    "memberId": {
                      "type": "string",
                      "example": "mbr_emv4j231821oaz56yx"
                    },
                    "status": {
                      "type": "string",
                      "example": "COMPLETED"
                    },
                    "paymentId": {
                      "type": "string",
                      "example": "pmt_xpn6le15nyk1v9jo4g"
                    },
                    "payeeId": {
                      "type": "string",
                      "example": "pye_pgrbvdy1vy31z54n6m"
                    },
                    "reference": {
                      "type": "string",
                      "example": "RET - Deposit"
                    },
                    "amount": {
                      "type": "string",
                      "example": "100.12"
                    },
                    "currency": {
                      "type": "string",
                      "example": "GBP"
                    },
                    "paymentScheme": {
                      "type": "string",
                      "example": "FPS"
                    },
                    "reason": {
                      "type": "string",
                      "example": "3rd party payment"
                    },
                    "createdAt": {
                      "type": "integer",
                      "example": 1677249715102,
                      "default": 0
                    },
                    "updatedAt": {
                      "type": "integer",
                      "example": 1637593856104,
                      "default": 0
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request GET \\\n     --url https://sandbox.fiatrepublic.com/api/v1/payment-returns/pmt_xpn6le15nyk1v9jo4g \\\n     --header 'Accept: application/json' \n     --header 'Authorization: Basic ZmlhdHJlcHVibGljOmZpYXRyZXB1YmxpYw==' \\"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```